%define upstream_name    Crypt-Password-Util
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Crypt password utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::More)
BuildRequires: perl(UUID::Random::Patch::UseMRS)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Bytes::Random::Secure)
BuildArch: noarch

%description
Crypt password utilities

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.170.0-6.mga10
+ Revision: 2198038
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.170.0-5.mga9
+ Revision: 1802707
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-4.mga8
+ Revision: 1493613
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.170.0-3.mga7
+ Revision: 1266801
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.170.0-2.mga6
+ Revision: 1024559
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 guillomovitch <guillomovitch> 0.170.0-1.mga6
+ Revision: 932541
- new version 0.17

* Sun Jun 21 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 838525
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 747662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684052
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.90.0-1.mga5
+ Revision: 658057
- imported package perl-Crypt-Password-Util


* Tue Jul 29 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
